Subject: Questions

From: Martin Neimeier <[email-masked]>
Date: Fri, 27 Oct 2000 17:42:42 +0200

Hello,

while developing a calendar-store with a CAP-Interface for korganizer, 
i found the following questions:

1. Are VTIMEZONE-components bound to specific calendar or to the calendar-store ?

2. Which VTIMEZONE-components must exist on bootstrap, I found only one: GMT, more ?

3. Whats the meaning of the properties maxresults and maxresultsize of a VQUERY-component ?
   If they are real Properties of VQUERY-component the chapter 5.1.1 should be changed as follows 
   to keep consistent.

   search	    = "BEGIN:VQUERY" CRLF
		       [expand]	[maxresults] [maxsize] querycomp
		       "END:VQUERY" CRLF

   expand	    = "EXPAND" ":" ( "TRUE" / "FALSE")
		      #	If not specified, the default is EXPAND:FALSE .

   comp-name	    = "VEVENT" / "VTODO" / "VJOURNAL" /	"VTIMEZONE"
		      /	"VALARM" / "VFREEBUSY" / "VCAR"	/ iana-name / x-name

>>>   maxresults    = "MAXRESULTS" ":" integer
>>>                   #If not specified, the default is unlimited result-sets          
>>>   maxsize	    = "MAXRESULTSIZE" ":" integer
>>>                   #if not specified, the default is unlimited result-size

4. What properties are allowed for a VCOMMAND-component ? 
   I found the properties CMDID and TARGET ? Are there more ?
   
5. Which Component-Types can be neested in a VCOMMAND-component ?
   I found only VCalendar-components. More ?

cu
Martin Neimeier

-- 
UNIX was never designed to keep people from doing stupid things, because
that policy would also keep them from doing clever things.   (Doug Gwyn)
--
Martin Neimeier / Ingenieur-Buero Neimeier / Schwarzach / Germany
mailto:[email-masked] / http://www.ibn.de (under heavy reconstruction) / Tel:+49(6262)912344 /
Fax:+49(6262)912347